<?php
/**
 * 摇一摇结果排名页
 * PHP version 5.4+
 * 
 * @category Wall
 * 
 * @package Shake
 * 
 * @author fy <jhfangying@qq.com>
 * 
 * @license Copyright (c) 2017 金华迪加网络科技有限公司 版权所有
 * Copyright (c) 2017 金华迪加网络科技有限公司 版权所有
 * 未经许可，任何单位及个人不得做营利性使用
 * 
 * @link link('演示地址','http://xc.taobaodpm.com');
 * */
@header("Content-type: text/html; charset=utf-8");
require_once dirname(__FILE__) . '/../smarty/Smarty.class.php';
require_once dirname(__FILE__) . '/../common/db.class.php';
require_once dirname(__FILE__) . '/../common/session_helper.php';
require_once dirname(__FILE__) . '/../common/CacheFactory.php';

$style='meepo';
$load->model("Shake_model");
$shakeconfig=$load->shake_model->getCurrentConfig();
$data=$load->shake_model->getTopN(100);
$smarty = new Smarty;
$smarty->caching = false;
$apppath=str_replace(DIRECTORY_SEPARATOR.'wall', '', dirname(__FILE__));
$smarty->compile_dir = $apppath.DIRECTORY_SEPARATOR.'data'
    .DIRECTORY_SEPARATOR.'templates_c'.DIRECTORY_SEPARATOR;
$smarty->assign('shakedata', $data);
$smarty->display('themes/'.$style.'/shake_result.html');